Use this endpoint to start an agent run from an external system. The webhook payload is added as context for the agent run.
Webhook payloads are limited to 16KB after JSON serialization. Requests with larger payloads are rejected before the agent run is queued.
You can find an agent’s webhook trigger ID from the agent edit page in TextQL.
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Connect-Protocol-Version
enum<number>
required
Define the version of the Connect protocol
Available options:
1
Connect-Timeout-Ms
number
Define the timeout, in ms
Body
application/json
triggerId
string<uuid>
required
The webhook trigger ID for the agent.
payload
payload · object
JSON payload to pass to the agent as run context. Limited to 16KB after JSON serialization.
Response
Success
status
string
Queue status for the agent run.
Example:
"queued"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"TextQL Docs","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/textql/9RDmZW4lVU96oHnJ/logo-textql/light.svg?fit=max\u0026auto=format\u0026n=9RDmZW4lVU96oHnJ\u0026q=85\u0026s=069d276e4ee2f256e061f8e2db9860a3","dark":"https://mintcdn.com/textql/9RDmZW4lVU96oHnJ/logo-textql/dark.svg?fit=max\u0026auto=format\u0026n=9RDmZW4lVU96oHnJ\u0026q=85\u0026s=1a728bc3acfd6eda203c49a45eac0355"},"favicon":"https://mintcdn.com/textql/jK3bTwZd_T-GaQ4j/favicon.svg?fit=max\u0026auto=format\u0026n=jK3bTwZd_T-GaQ4j\u0026q=85\u0026s=4f7feffa45a51a795a1b929f05a772bf","api":{"openapi":["api-reference/platform/chat.openapi.yaml","api-reference/platform/playbooks.openapi.yaml","api-reference/platform/agents.openapi.yaml","api-reference/platform/connectors.openapi.yaml","api-reference/platform/api_access_key.openapi.yaml","api-reference/platform/sandbox.openapi.yaml","api-reference/platform/v2.openapi.yaml","api-reference/speakeasy/textql-api-with-code-samples.yaml"],"mdx":{"auth":{"method":"bearer"},"server":"https://app.textql.com"}},"appearance":{"default":"light","strict":false},"navbar":{"links":[{"href":"mailto:support@textql.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.textql.com"}},"footer":{"socials":{"x":"https://x.com/TextQL","github":"https://github.com/textqllabs","linkedin":"https://www.linkedin.com/company/textql"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"textql","hasAudioNarration":false,"actualSubdomain":"textql","customDomains":["docs.textql.com"],"gitSource":{"type":"github","owner":"textqllabs","repo":"demo2","deployBranch":"main","contentDirectory":"docs/public","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6af603b7aecf0202e5cba9fa","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"v3 API (SDK)","count":454},{"language":"default","tag":"Workshops","count":202},{"language":"default","tag":"Documentation","count":164},{"language":"default","tag":"Ontology Management Service","count":70},{"language":"default","tag":"v2 API","count":56},{"language":"default","tag":"Set Up Your Data","count":56},{"language":"default","tag":"RBAC Service","count":41},{"language":"default","tag":"Chat Service","count":39},{"language":"default","tag":"Playbook Service","count":39},{"language":"default","tag":"How It Works","count":32}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"table{width:100%;border-collapse:collapse;margin:1rem 0}th,td{border:1px solid #e5e7eb;padding:0.6rem 0.85rem;text-align:left;vertical-align:top;line-height:1.45}th{background:#f9fafb;font-weight:600}th:first-child,td:first-child{white-space:nowrap}.dark th,.dark td{border-color:#2b2b2b}.dark th{background:#18181b}"}],"page":{"pagePath":"api-reference/agents/webhooks/trigger-agent-webhook","slug":"/api-reference/agents/webhooks/trigger-agent-webhook","pageMetadata":{"title":"Trigger Agent Webhook","openapi":"POST /v1/agents/webhook/trigger","description":"Trigger an agent run with a JSON webhook payload","href":"/api-reference/agents/webhooks/trigger-agent-webhook"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Trigger an agent run with a JSON webhook payload\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Use this endpoint to start an agent run from an external system. The webhook payload is added as context for the agent run.`}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`Webhook payloads are limited to 16KB after JSON serialization. Requests with larger payloads are rejected before the agent run is queued.`})}),`\n`,_jsx(_components.p,{children:`You can find an agent’s webhook trigger ID from the agent edit page in TextQL.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Trigger Agent Webhook","openapi":"POST /v1/agents/webhook/trigger","description":"Trigger an agent run with a JSON webhook payload","href":"/api-reference/agents/webhooks/trigger-agent-webhook"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["textql.rpc.platform.AgentService"],"summary":"TriggerAgentWebhook","description":"Trigger an agent run with a JSON webhook payload","operationId":"textql.rpc.platform.AgentService.TriggerAgentWebhook","parameters":["8d331919-54cb-491f-9e0a-6347cf406f0d","f6217068-e55f-472c-a5c7-9e3e52f237c8"],"requestBody":"325c5fb6-c4c7-401f-b5c0-7e5b75996d32","responses":{"200":"57689403-8fac-49f6-9374-79155bacb209","default":"d3eaa116-f6e7-4c93-8024-0f058903a8db"},"method":"post","type":"path","servers":[],"security":[],"path":"/v1/agents/webhook/trigger","baseUrlOptions":["https://app.textql.com"],"title":"TriggerAgentWebhook","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8d331919-54cb-491f-9e0a-6347cf406f0d":{"name":"Connect-Protocol-Version","in":"header","required":true,"schema":{"type":"number","title":"Connect-Protocol-Version","enum":[1],"description":"Define the version of the Connect protocol","const":1,"isRequired":true,"uniqueKey":"","typeLabel":"enum\u003cnumber>"}},"f6217068-e55f-472c-a5c7-9e3e52f237c8":{"name":"Connect-Timeout-Ms","in":"header","schema":{"type":"number","title":"Connect-Timeout-Ms","description":"Define the timeout, in ms","uniqueKey":"","typeLabel":"number"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"triggerId":{"type":"string","title":"trigger_id","format":"uuid","description":"The webhook trigger ID for the agent.","isRequired":true,"uniqueKey":"triggerId","typeLabel":"string\u003cuuid>"},"payload":{"type":"object","title":"payload","description":"JSON payload to pass to the agent as run context. Limited to 16KB after JSON serialization.","additionalProperties":true,"uniqueKey":"payload","typeLabel":"payload · object"}},"title":"TriggerAgentWebhookRequest","additionalProperties":false,"required":["triggerId"],"uniqueKey":"","typeLabel":"TriggerAgentWebhookRequest · object"},"examples":{"example":{"title":"example","value":{"triggerId":"00000000-0000-0000-0000-000000000000","payload":{"event":"example.event","source":"manual-test"}}}},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"57689403-8fac-49f6-9374-79155bacb209":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","title":"status","description":"Queue status for the agent run.","examples":["queued"],"uniqueKey":"status","typeLabel":"string"}},"title":"TriggerAgentWebhookResponse","additionalProperties":false,"uniqueKey":"","typeLabel":"TriggerAgentWebhookResponse · object"},"examples":{"Example":{"title":"Example","value":{"status":"queued"}}},"exampleType":"generated"}},"exampleType":"generated"},"d3eaa116-f6e7-4c93-8024-0f058903a8db":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","examples":["invalid_argument"],"enum":["canceled","unknown","invalid_argument","deadline_exceeded","not_found","already_exists","permission_denied","resource_exhausted","failed_precondition","aborted","out_of_range","unimplemented","internal","unavailable","data_loss","unauthenticated"],"description":"The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].","uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A developer-facing error message, which should be in English.","uniqueKey":"message","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"A URL that acts as a globally unique identifier for the type of the serialized message.","uniqueKey":"details.items.[INDEX].type","typeLabel":"string"},"value":{"type":"string","contentEncoding":"base64","contentMediaType":"application/octet-stream","description":"The Protobuf message, serialized as bytes and base64-encoded.","uniqueKey":"details.items.[INDEX].value","typeLabel":"file"},"debug":{"oneOf":[{"type":"object","description":"Deserialized error detail value when available.","additionalProperties":true,"uniqueKey":"details.items.[INDEX].debug.oneOf.0","typeLabel":"object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"details.items.[INDEX].debug.oneOf.1.items.[INDEX]","typeLabel":"any"},"description":"Deserialized error detail value when available.","uniqueKey":"details.items.[INDEX].debug.oneOf.1","typeLabel":"any[]"},{"type":"string","description":"Deserialized error detail value when available.","uniqueKey":"details.items.[INDEX].debug.oneOf.2","typeLabel":"string"},{"type":"number","description":"Deserialized error detail value when available.","uniqueKey":"details.items.[INDEX].debug.oneOf.3","typeLabel":"number"},{"type":"boolean","description":"Deserialized error detail value when available.","uniqueKey":"details.items.[INDEX].debug.oneOf.4","typeLabel":"boolean"},{"type":"null","description":"Deserialized error detail value when available.","uniqueKey":"details.items.[INDEX].debug.oneOf.5","typeLabel":"null"}],"uniqueKey":"details.items.[INDEX].debug","typeLabel":"object | any[] | string | number | boolean | null"}},"additionalProperties":true,"description":"Contains an arbitrary serialized message along with a URL that describes the type of the serialized message.","uniqueKey":"details.items.[INDEX]","typeLabel":"object"},"description":"A list of messages that carry the error details.","uniqueKey":"details","typeLabel":"object[]"}},"title":"Connect Error","additionalProperties":true,"description":"Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation","uniqueKey":"","typeLabel":"Connect Error · object"},"examples":{"Example":{"title":"Example","value":{"code":"invalid_argument","message":"\u003cstring>","details":[{"type":"\u003cstring>","value":"\u003cstring>","debug":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"8dd2587a-6c58-460e-bdce-d4249d7cda1e":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"api-reference/platform/agents.openapi.yaml"},"subdomain":"textql","siteName":"TextQL Docs","title":"Trigger Agent Webhook - TextQL Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-12T15:19:33.610Z","originalFileLocation":"api-reference/agents/webhooks/trigger-agent-webhook.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Trigger an agent run with a JSON webhook payload\">\u003cmeta data-mint-head name=\"application-name\" content=\"TextQL Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Trigger Agent Webhook - TextQL Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Trigger an agent run with a JSON webhook payload\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"TextQL Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://textql.mintlify.site/_mintlify/api/og/v2?division=Agents\u0026amp;title=Trigger+Agent+Webhook\u0026amp;description=Trigger+an+agent+run+with+a+JSON+webhook+payload\u0026amp;theme=27d2effcabcfba3c2216aacf\u0026amp;signature=2ac96a5c1152ccf2bb347fcc8bd3738bf0200b62d2ea2dc129a83d11edb7c3bd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Trigger Agent Webhook - TextQL Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Trigger an agent run with a JSON webhook payload\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://textql.mintlify.site/_mintlify/api/og/v2?division=Agents\u0026amp;title=Trigger+Agent+Webhook\u0026amp;description=Trigger+an+agent+run+with+a+JSON+webhook+payload\u0026amp;theme=27d2effcabcfba3c2216aacf\u0026amp;signature=2ac96a5c1152ccf2bb347fcc8bd3738bf0200b62d2ea2dc129a83d11edb7c3bd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/textql/UPDKEixAE9_oDjsV/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"TextQL Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agents/webhooks/trigger-agent-webhook.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.textql.com/#organization\",\"name\":\"TextQL Docs\",\"url\":\"https://docs.textql.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/textql/9RDmZW4lVU96oHnJ/logo-textql/light.svg?fit=max\u0026auto=format\u0026n=9RDmZW4lVU96oHnJ\u0026q=85\u0026s=069d276e4ee2f256e061f8e2db9860a3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.textql.com#website\",\"name\":\"TextQL Docs\",\"url\":\"https://docs.textql.com\",\"publisher\":{\"@id\":\"https://docs.textql.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook#webpage\",\"url\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook\",\"name\":\"Trigger Agent Webhook\",\"description\":\"Trigger an agent run with a JSON webhook payload\",\"dateModified\":\"2026-05-12T15:19:33.610Z\",\"isPartOf\":{\"@id\":\"https://docs.textql.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"TextQL Docs\",\"item\":\"https://docs.textql.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Trigger Agent Webhook\",\"item\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook#apireference\",\"headline\":\"Trigger Agent Webhook\",\"name\":\"Trigger Agent Webhook\",\"description\":\"Trigger an agent run with a JSON webhook payload\",\"url\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook\",\"mainEntityOfPage\":{\"@id\":\"https://docs.textql.com/api-reference/agents/webhooks/trigger-agent-webhook#webpage\"},\"dateModified\":\"2026-05-12T15:19:33.610Z\",\"publisher\":{\"@id\":\"https://docs.textql.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.textql.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"TextQL Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"TextQL Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/agents/webhooks/trigger-agent-webhook.md","siteName":"TextQL Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/core/get-started/quickstart"}]},{"tab":"Workshops","pages":[{"title":"Workshops","href":"/workshops"}]},{"tab":"v1 API (deprecated)","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Chat","pages":[{"title":"List Chats","openapi":"POST /v1/chat/list","href":"/api-reference/chat/chat/list-chats"},{"title":"Create Chat","openapi":"POST /v1/chat","href":"/api-reference/chat/chat/create"},{"title":"Stream Chat","href":"/api-reference/chat/chat/stream"},{"title":"Get Chat","openapi":"POST /v1/chat/get","href":"/api-reference/chat/chat/get-chat-details"},{"title":"Cancel Chat","openapi":"POST /v1/chat/cancel","href":"/api-reference/chat/chat/cancel-a-running-chat"}]},{"group":"Playbooks","pages":[{"title":"List Playbooks","openapi":"POST /v1/playbooks/list","href":"/api-reference/playbooks/playbooks/list-playbooks"},{"title":"Create Playbook","openapi":"POST /v1/playbooks/create","href":"/api-reference/playbooks/playbooks/create-a-new-playbook"},{"title":"Get Playbook","openapi":"POST /v1/playbooks/get","href":"/api-reference/playbooks/playbooks/get-a-playbook-by-id"},{"title":"Update Playbook","openapi":"POST /v1/playbooks/update","href":"/api-reference/playbooks/playbooks/update-a-playbook"},{"title":"Run Playbook","openapi":"POST /v1/playbooks/run","href":"/api-reference/playbooks/playbooks/run-a-playbook"},{"title":"Deploy Playbook","openapi":"POST /v1/playbooks/deploy","href":"/api-reference/playbooks/playbooks/deploy-a-playbook"},{"title":"Delete Playbook","openapi":"POST /v1/playbooks/delete","description":"Delete a playbook by playbookId","href":"/api-reference/playbooks/playbooks/delete-a-playbook"}]},{"group":"Agents","pages":[{"title":"Trigger Agent Webhook","openapi":"POST /v1/agents/webhook/trigger","href":"/api-reference/agents/webhooks/trigger-agent-webhook"}]},{"group":"Connectors","pages":[{"title":"List Connectors","openapi":"POST /v1/connectors","description":"Retrieve all connectors for your organization","href":"/api-reference/connectors/connectors/list-all-connectors"}]},{"group":"Sandbox","pages":[{"title":"Start Sandbox","openapi":"POST /v1/sandbox/start","href":"/api-reference/platform/sandbox/start"},{"title":"Execute Code","openapi":"POST /v1/sandbox/execute","href":"/api-reference/platform/sandbox/execute"},{"title":"Get Sandbox Status","openapi":"POST /v1/sandbox/status","href":"/api-reference/platform/sandbox/status"},{"title":"Stop Sandbox","openapi":"POST /v1/sandbox/stop","href":"/api-reference/platform/sandbox/stop"},{"title":"Load Connector Data","openapi":"POST /v1/sandbox/query","href":"/api-reference/platform/sandbox/load-connector-data"},{"title":"Upload File","openapi":"POST /v1/sandbox/upload","href":"/api-reference/platform/sandbox/upload"}]},{"group":"API Keys","pages":[{"title":"List API Access Keys","openapi":"POST /v1/api-keys","href":"/api-reference/api-keys/api-keys/list-api-access-keys"},{"title":"Create API Access Key","openapi":"POST /v1/api-keys/create","href":"/api-reference/api-keys/api-keys/create-api-access-key"},{"title":"Update API Access Key","openapi":"POST /v1/api-keys/update","href":"/api-reference/api-keys/api-keys/update-api-access-key"},{"title":"Delete API Access Key","openapi":"POST /v1/api-keys/delete","href":"/api-reference/api-keys/api-keys/delete-api-access-key"},{"title":"List API Providers","openapi":"POST /v1/api-providers","href":"/api-reference/api-keys/api-keys/list-api-providers"}]}]},{"tab":"v2 API","pages":[{"title":"v2 API","href":"/api-reference/v2/introduction"}]},{"tab":"v3 API (SDK)","pages":[{"title":"v3 API (SDK)","href":"/api-reference/sdk/changelog"}]},{"tab":"MCP Reference","pages":[{"title":"MCP Reference","href":"/core/how-it-works/mcp/ana-as-mcp-server"}]},{"tab":"Helm Charts","pages":[{"title":"Helm Charts","href":"/helm-charts/installation"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/product/changelog"}]}]},"basePath":"","title":"Trigger Agent Webhook - TextQL Docs","buildId":"dpl_5tKr6cUUeuVJdEZ9JAEY3h4soMJ8","deploymentId":"dpl_5tKr6cUUeuVJdEZ9JAEY3h4soMJ8","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DbeN8Wo6.js","utils-CwSb5Doc.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BmREeM3N.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-AYjWerCj.js","snippetPresets-QD4ULQlp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-Digj5cjF.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CiHrzluR.js","shallow-D7h7pFGg.js","getApiPlaygroundDisplay-mlxkpAUf.js","CodeSnippet-D2rH5lZI.js","CodeSnippets-B53ulOaL.js","Page-CqcDm2To.js","getPastedJson-DxGeNMih.js","icon-BHbyrebp.js","MethodPill-C7F_KEEJ.js","DuplicateIcon-j3c5-73z.js","createIcon-OvCnyFqD.js","DynamicMarkdown-DpAS3GCb.js","SectionHeading-DMPpdrvW.js","axios-vUo_bRtp.js","Markdown-D7pDRguu.js","clsx-2_c6mSt_.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Cu7_SikL.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ydqCcy4b.js"]}